Index: src/sas/sasgui/guiframe/dataFitting.py
===================================================================
--- src/sas/sasgui/guiframe/dataFitting.py	(revision 68adf86632754e28ed4e1600ebe337656f349a2b)
+++ src/sas/sasgui/guiframe/dataFitting.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -3,5 +3,5 @@
 """
 import copy
-import numpy
+import numpy as np
 import math
 from sas.sascalc.data_util.uncertainty import Uncertainty
@@ -81,9 +81,9 @@
             result.dxw = None
         else:
-            result.dxw = numpy.zeros(len(self.x))
+            result.dxw = np.zeros(len(self.x))
         if self.dxl == None:
             result.dxl = None
         else:
-            result.dxl = numpy.zeros(len(self.x))
+            result.dxl = np.zeros(len(self.x))
 
         for i in range(len(self.x)):
@@ -128,44 +128,44 @@
             result.dlam = None
         else:
-            result.dlam = numpy.zeros(tot_length)
+            result.dlam = np.zeros(tot_length)
         if self.dy == None or other.dy is None:
             result.dy = None
         else:
-            result.dy = numpy.zeros(tot_length)
+            result.dy = np.zeros(tot_length)
         if self.dx == None or other.dx is None:
             result.dx = None
         else:
-            result.dx = numpy.zeros(tot_length)
+            result.dx = np.zeros(tot_length)
         if self.dxw == None or other.dxw is None:
             result.dxw = None
         else:
-            result.dxw = numpy.zeros(tot_length)
+            result.dxw = np.zeros(tot_length)
         if self.dxl == None or other.dxl is None:
             result.dxl = None
         else:
-            result.dxl = numpy.zeros(tot_length)
-
-        result.x = numpy.append(self.x, other.x)
+            result.dxl = np.zeros(tot_length)
+
+        result.x = np.append(self.x, other.x)
         #argsorting
-        ind = numpy.argsort(result.x)
+        ind = np.argsort(result.x)
         result.x = result.x[ind]
-        result.y = numpy.append(self.y, other.y)
+        result.y = np.append(self.y, other.y)
         result.y = result.y[ind]
-        result.lam = numpy.append(self.lam, other.lam)
+        result.lam = np.append(self.lam, other.lam)
         result.lam = result.lam[ind]
         if result.dlam != None:
-            result.dlam = numpy.append(self.dlam, other.dlam)
+            result.dlam = np.append(self.dlam, other.dlam)
             result.dlam = result.dlam[ind]
         if result.dy != None:
-            result.dy = numpy.append(self.dy, other.dy)
+            result.dy = np.append(self.dy, other.dy)
             result.dy = result.dy[ind]
         if result.dx is not None:
-            result.dx = numpy.append(self.dx, other.dx)
+            result.dx = np.append(self.dx, other.dx)
             result.dx = result.dx[ind]
         if result.dxw is not None:
-            result.dxw = numpy.append(self.dxw, other.dxw)
+            result.dxw = np.append(self.dxw, other.dxw)
             result.dxw = result.dxw[ind]
         if result.dxl is not None:
-            result.dxl = numpy.append(self.dxl, other.dxl)
+            result.dxl = np.append(self.dxl, other.dxl)
             result.dxl = result.dxl[ind]
         return result
@@ -230,11 +230,11 @@
             result.dxw = None
         else:
-            result.dxw = numpy.zeros(len(self.x))
+            result.dxw = np.zeros(len(self.x))
         if self.dxl == None:
             result.dxl = None
         else:
-            result.dxl = numpy.zeros(len(self.x))
-
-        for i in range(numpy.size(self.x)):
+            result.dxl = np.zeros(len(self.x))
+
+        for i in range(np.size(self.x)):
             result.x[i] = self.x[i]
             if self.dx is not None and len(self.x) == len(self.dx):
@@ -282,40 +282,40 @@
             result.dlam = None
         else:
-            result.dlam = numpy.zeros(tot_length)
+            result.dlam = np.zeros(tot_length)
         if self.dy == None or other.dy is None:
             result.dy = None
         else:
-            result.dy = numpy.zeros(tot_length)
+            result.dy = np.zeros(tot_length)
         if self.dx == None or other.dx is None:
             result.dx = None
         else:
-            result.dx = numpy.zeros(tot_length)
+            result.dx = np.zeros(tot_length)
         if self.dxw == None or other.dxw is None:
             result.dxw = None
         else:
-            result.dxw = numpy.zeros(tot_length)
+            result.dxw = np.zeros(tot_length)
         if self.dxl == None or other.dxl is None:
             result.dxl = None
         else:
-            result.dxl = numpy.zeros(tot_length)
-        result.x = numpy.append(self.x, other.x)
+            result.dxl = np.zeros(tot_length)
+        result.x = np.append(self.x, other.x)
         #argsorting
-        ind = numpy.argsort(result.x)
+        ind = np.argsort(result.x)
         result.x = result.x[ind]
-        result.y = numpy.append(self.y, other.y)
+        result.y = np.append(self.y, other.y)
         result.y = result.y[ind]
-        result.lam = numpy.append(self.lam, other.lam)
+        result.lam = np.append(self.lam, other.lam)
         result.lam = result.lam[ind]
         if result.dy != None:
-            result.dy = numpy.append(self.dy, other.dy)
+            result.dy = np.append(self.dy, other.dy)
             result.dy = result.dy[ind]
         if result.dx is not None:
-            result.dx = numpy.append(self.dx, other.dx)
+            result.dx = np.append(self.dx, other.dx)
             result.dx = result.dx[ind]
         if result.dxw is not None:
-            result.dxw = numpy.append(self.dxw, other.dxw)
+            result.dxw = np.append(self.dxw, other.dxw)
             result.dxw = result.dxw[ind]
         if result.dxl is not None:
-            result.dxl = numpy.append(self.dxl, other.dxl)
+            result.dxl = np.append(self.dxl, other.dxl)
             result.dxl = result.dxl[ind]
         return result
@@ -409,10 +409,10 @@
             result.dqy_data = None
         else:
-            result.dqx_data = numpy.zeros(len(self.data))
-            result.dqy_data = numpy.zeros(len(self.data))
-        for i in range(numpy.size(self.data)):
+            result.dqx_data = np.zeros(len(self.data))
+            result.dqy_data = np.zeros(len(self.data))
+        for i in range(np.size(self.data)):
             result.data[i] = self.data[i]
             if self.err_data is not None and \
-                numpy.size(self.data) == numpy.size(self.err_data):
+                            np.size(self.data) == np.size(self.err_data):
                 result.err_data[i] = self.err_data[i]    
             if self.dqx_data is not None:
@@ -473,20 +473,20 @@
             result.dqy_data = None
         else:
-            result.dqx_data = numpy.zeros(len(self.data) + \
-                                         numpy.size(other.data))
-            result.dqy_data = numpy.zeros(len(self.data) + \
-                                         numpy.size(other.data))
-        
-        result.data = numpy.append(self.data, other.data)
-        result.qx_data = numpy.append(self.qx_data, other.qx_data)
-        result.qy_data = numpy.append(self.qy_data, other.qy_data)
-        result.q_data = numpy.append(self.q_data, other.q_data)
-        result.mask = numpy.append(self.mask, other.mask)
+            result.dqx_data = np.zeros(len(self.data) + \
+                                       np.size(other.data))
+            result.dqy_data = np.zeros(len(self.data) + \
+                                       np.size(other.data))
+        
+        result.data = np.append(self.data, other.data)
+        result.qx_data = np.append(self.qx_data, other.qx_data)
+        result.qy_data = np.append(self.qy_data, other.qy_data)
+        result.q_data = np.append(self.q_data, other.q_data)
+        result.mask = np.append(self.mask, other.mask)
         if result.err_data is not None:
-            result.err_data = numpy.append(self.err_data, other.err_data) 
+            result.err_data = np.append(self.err_data, other.err_data)
         if self.dqx_data is not None:
-            result.dqx_data = numpy.append(self.dqx_data, other.dqx_data)
+            result.dqx_data = np.append(self.dqx_data, other.dqx_data)
         if self.dqy_data is not None:
-            result.dqy_data = numpy.append(self.dqy_data, other.dqy_data)
+            result.dqy_data = np.append(self.dqy_data, other.dqy_data)
 
         return result
Index: src/sas/sasgui/guiframe/data_processor.py
===================================================================
--- src/sas/sasgui/guiframe/data_processor.py	(revision 468c253c89c2bc195e3eca784469c3cc90858004)
+++ src/sas/sasgui/guiframe/data_processor.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -1091,5 +1091,5 @@
             # When inputs are from an external file
             return inputs, outputs
-        inds = numpy.lexsort((to_be_sort, to_be_sort))
+        inds = np.lexsort((to_be_sort, to_be_sort))
         for key in outputs.keys():
             key_list = outputs[key]
@@ -1379,5 +1379,5 @@
             return
         if dy == None:
-            dy = numpy.zeros(len(y))
+            dy = np.zeros(len(y))
         #plotting
         new_plot = Data1D(x=x, y=y, dy=dy)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 29e872e4d97689a48f665443a8b1fbfae9813a54)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -14,5 +14,5 @@
 import sys
 import math
-import numpy
+import numpy as np
 import logging
 from sas.sasgui.plottools.PlotPanel import PlotPanel
@@ -288,5 +288,5 @@
         :Param value: float
         """
-        idx = (numpy.abs(array - value)).argmin()
+        idx = (np.abs(array - value)).argmin()
         return int(idx)  # array.flat[idx]
 
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision b2b3693291d8e49fd33718753161206c1964548c)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -14,5 +14,5 @@
 import sys
 import math
-import numpy
+import numpy as np
 import logging
 from sas.sasgui.plottools.PlotPanel import PlotPanel
@@ -567,5 +567,5 @@
         """
         # Find the best number of bins
-        npt = math.sqrt(len(self.data2D.data[numpy.isfinite(self.data2D.data)]))
+        npt = math.sqrt(len(self.data2D.data[np.isfinite(self.data2D.data)]))
         npt = math.floor(npt)
         from sas.sascalc.dataloader.manipulations import CircularAverage
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -1,5 +1,5 @@
 import wx
 import math
-import numpy
+import numpy as np
 from sas.sasgui.guiframe.events import NewPlotEvent
 from sas.sasgui.guiframe.events import StatusEvent
@@ -358,7 +358,7 @@
         # # Reset x, y- coordinates if send as parameters
         if x != None:
-            self.x = numpy.sign(self.x) * math.fabs(x)
+            self.x = np.sign(self.x) * math.fabs(x)
         if y != None:
-            self.y = numpy.sign(self.y) * math.fabs(y)
+            self.y = np.sign(self.y) * math.fabs(y)
         # # Draw lines and markers
         self.inner_marker.set(xdata=[0], ydata=[self.y])
@@ -465,7 +465,7 @@
         # # reset x, y -coordinates if given as parameters
         if x != None:
-            self.x = numpy.sign(self.x) * math.fabs(x)
+            self.x = np.sign(self.x) * math.fabs(x)
         if y != None:
-            self.y = numpy.sign(self.y) * math.fabs(y)
+            self.y = np.sign(self.y) * math.fabs(y)
         # # draw lines and markers
         self.inner_marker.set(xdata=[self.x], ydata=[0])
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -24,5 +24,5 @@
 import math
 import copy
-import numpy
+import numpy as np
 from sas.sasgui.plottools.PlotPanel import PlotPanel
 from sas.sasgui.plottools.plottables import Graph
@@ -298,5 +298,5 @@
         self.subplot.set_ylim(self.data.ymin, self.data.ymax)
         self.subplot.set_xlim(self.data.xmin, self.data.xmax)
-        mask = numpy.ones(len(self.data.mask), dtype=bool)
+        mask = np.ones(len(self.data.mask), dtype=bool)
         self.data.mask = mask
         # update mask plot
@@ -343,5 +343,5 @@
             self.mask = mask
         # make temperary data to plot
-        temp_mask = numpy.zeros(len(mask))
+        temp_mask = np.zeros(len(mask))
         temp_data = copy.deepcopy(self.data)
         # temp_data default is None
